package main

import (
	"flag"
	"fmt"
	"log"
	"github.com/nemunaire/eyespot/eyespot/cipherts"
	"github.com/nemunaire/eyespot/eyespot/protocolts"
)

func main() {
	var protocol = flag.String("protocol", "tcp", "Protocol to test")
	var hostname = flag.String("hostname", "localhost", "Hostname to test")
	var port = flag.Int("port", 443, "Port to test")
	flag.Parse()

	host := fmt.Sprintf("%s:%d", *hostname, *port)

	log.Println(protocolts.Run(*protocol, host))
	log.Println(cipherts.Run(*protocol, host))
}
